Package de.willuhn.jameica.hbci.server

# Class DauerauftragImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl
de.willuhn.jameica.hbci.server.AbstractBaseDauerauftragImpl
de.willuhn.jameica.hbci.server.DauerauftragImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `BaseDauerauftrag`, `Checksum`, `Dauerauftrag`, `HibiscusDBObject`, `HibiscusTransfer`, `Transfer`, `Serializable`, `Remote`

public class DauerauftragImpl extends AbstractBaseDauerauftragImpl implements Dauerauftrag
Implementierung eines Dauerauftrags.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

### Fields inherited from interface de.willuhn.jameica.hbci.rmi.BaseDauerauftrag

`ORDERID_PLACEHOLDER`

## Constructor Summary

Constructors
Constructor
Description
`DauerauftragImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`long`
`getChecksum()`
Liefert die Checksumme des Objektes.
`protected String`
`getTableName()`
`String`
`getTextSchluessel()`
Liefert den Textschluessel des Auftrags.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractBaseDauerauftragImpl

`equals, getAttribute, getErsteZahlung, getLetzteZahlung, getNaechsteZahlung, getOrderID, getPrimaryAttribute, getTurnus, isActive, setErsteZahlung, setLetzteZahlung, setOrderID, setTurnus`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

`delete, getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getKonto, getWeitereVerwendungszwecke, getZweck, getZweck2, insertCheck, overwrite, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2, store, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.BaseDauerauftrag

`delete, getErsteZahlung, getLetzteZahlung, getNaechsteZahlung, getOrderID, getTurnus, isActive, setErsteZahlung, setLetzteZahlung, setOrderID, setTurnus`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusTransfer

`getKonto, setBetrag, setGegenkonto, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setKonto, setWeitereVerwendungszwecke, setZweck, setZweck2`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### DauerauftragImpl

public DauerauftragImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getChecksum

public long getChecksum() throws RemoteException
Description copied from interface: `Checksum`
Liefert die Checksumme des Objektes.

Specified by:
  `getChecksum` in interface `Checksum`
Returns:
  Checksumme.
Throws:
  `RemoteException`
See Also:
  - `Checksum.getChecksum()`

### getTextSchluessel

public String getTextSchluessel() throws RemoteException
Description copied from interface: `Dauerauftrag`
Liefert den Textschluessel des Auftrags.

Specified by:
  `getTextSchluessel` in interface `Dauerauftrag`
Returns:
  Textschluessel.
Throws:
  `RemoteException`
See Also:
  - `Dauerauftrag.getTextSchluessel()`